{
  "ordercostitem": {
    "_parent": {
      "type": "info"
    },
    "properties": {
      "id": {
        "type": "long"
      },
      "idOrder": {
        "type": "long"
      },
      "costItemValue": {
        "type": "integer"
      },
      "costItemName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "direction": {
        "type": "integer"
      },
      "machineUseMoney": {
        "type": "double"
      },
      "referenceId": {
        "type": "integer"
      },
      "referenceName": {
        "type": "text",
        "analyzer": "index_ansj",
        "search_analyzer": "query_ansj",
        "fields": {
          "raw": {
            "type":  "keyword"
          },
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          },
          "letter": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "letter_analyzer"
          }
        }
      },
      "mtRule": {
        "type": "keyword",
        "index": "not_analyzed",
        "fields": {
          "number": {
            "type": "text",
            "index": "analyzed",
            "analyzer": "number_analyzer"
          }
        }
      },
      "useQty": {
        "type": "double"
      },
      "price": {
        "type": "double"
      },
      "money": {
        "type": "double"
      },
      "idTeam": {
        "type": "long"
      },
      "teamName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type": "keyword"
          }
        }
      },
      "memo": {
        "type": "text",
        "index": "not_analyzed"
      },
      "createMan": {
        "type": "text",
        "index": "not_analyzed"
      },
      "checkState": {
        "type": "integer"
      },
      "sortIndex": {
        "type": "integer"
      },
      "createBy": {
        "type": "long"
      },
      "createTimeLong": {
        "type": "long"
      },
      "updateBy": {
        "type": "long"
      },
      "updateTimeLong": {
        "type": "long"
      }
    }
  }
}